Subject: Greetings to all...

From: KENELM W PHILIP <[email-masked]>
Date: Thu, 2 Feb 1995 11:37:20 -0900

Having just subscribed to the list, I thought I might introduce
myself. My interests are: 1) arctic & subarctic butterflies--I have been
running the Alaska Lepidoptera Survey since 1970, which has involved
collecting trips to northeastern Russia and the Canadian arctic as well
as mnay trips to northern and western Alaska; 2) applications of comp-
uters to collection management, including species distribution mapping
(more on that later); and 3) the impact of the Lacey Act and associated
F&WS regulations on insect collecting.

 ---------------------------------------------------------------------------
 | Kenelm W. Philip                        Phone: (907) 479-2689           |
 | Institute of Arctic Biology               FAX: (907) 474-6967           |
 | University of Alaska                   e-mail: [email-masked]  |
 | Fairbanks, AK  99775                                                    |
 ---------------------------------------------------------------------------